function love.load()
  
  timer = 0
  alpha = 0

  fade_time  = 2

  image = love.graphics.newImage("background01.png")
    
  fade_state = "Fade_To_Clear"
end

function love.update(dt)
  
  if fade_state == "Fade_To_Clear" then
    timer=timer+dt
    if timer > 4 then
      fade_state = "Clear"
    end
  end
  
  if fade_state == "Fade_To_Black" then
    timer=timer-dt
    if timer < 0 then
      timer = 0
      fade_state = "Clear"      
    end
  end
  
  if timer<fade_time then
    alpha=timer/fade_time
  end
  
end

function love.draw()
  love.graphics.setColor(255, 255, 255, alpha*255)
  love.graphics.draw(image, 0, 0)
  
  love.graphics.print("Press 1 to fade from black to clear.  Press 2 to fade from clear to black.", 50, 50)
  love.graphics.print(fade_state, 50, 110)
end

function love.keypressed(key)
  if key == "1" then
    fade_state = "Fade_To_Clear"
  elseif key == "2" then
    fade_state = "Fade_To_Black"
  end
end